Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

# Interface WithTree

All Superinterfaces:
  `StatementTree`, `Tree`

    @Deprecated(since="11",
                forRemoval=true)
    public interface WithTree
    extends StatementTree

Deprecated, for removal: This API element is subject to removal in a future version.
Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
A tree node for a 'with' statement. For example:

       with ( scope )
         statement

Since:
  9

## Nested Class Summary

## Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ExpressionTree` | `getScope()` | Deprecated, for removal: This API element is subject to removal in a future version. The scope object expression for this 'with' statement.
`StatementTree` | `getStatement()` | Deprecated, for removal: This API element is subject to removal in a future version. The statement contained in this 'with' statement.

### Methods declared in interface jdk.nashorn.api.tree.Tree

`accept, getEndPosition, getKind, getStartPosition`

## Method Details

### getScope

ExpressionTree getScope()
Deprecated, for removal: This API element is subject to removal in a future version.
The scope object expression for this 'with' statement.

Returns:
  the scope object

### getStatement

StatementTree getStatement()
Deprecated, for removal: This API element is subject to removal in a future version.
The statement contained in this 'with' statement.

Returns:
  the statement contained